org.keycloak.services.clientregistration.policy.impl

## Class ScopeClientRegistrationPolicyFactory

- java.lang.Object
- - org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory
  - - org.keycloak.services.clientregistration.policy.impl.ScopeClientRegistrationPolicyFactory

- All Implemented Interfaces:
    ComponentFactory<ClientRegistrationPolicy,ClientRegistrationPolicy>, ConfiguredProvider, ProviderFactory<ClientRegistrationPolicy>, ClientRegistrationPolicyFactory

      public class ScopeClientRegistrationPolicyFactory
      extends AbstractClientRegistrationPolicyFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `sessionFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeClientRegistrationPolicyFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientRegistrationPolicy` | `create(KeycloakSession session, ComponentModel model)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `close, getConfigProperties, init, postInit, validateConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScopeClientRegistrationPolicyFactory

          public ScopeClientRegistrationPolicyFactory()

  - ### Method Detail

    - #### create

          public ClientRegistrationPolicy create(KeycloakSession session,
                                                 ComponentModel model)

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

Copyright © 2021 JBoss by Red Hat. All rights reserved.